/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads
 *
 * @package   jchoptimize/wordpress-platform
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2022 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

document.addEventListener('DOMContentLoaded', function () {
  let storage_adapter = document.getElementById('jch-optimize_settings_pro_cache_storage_adapter')

  callShowInputs(storage_adapter)

  //We have to use jQuery here as the select element is being camouflaged by the jquery plugin chosen
  jQuery('#jch-optimize_settings_pro_cache_storage_adapter').on('change', function () {
    callShowInputs(storage_adapter)
  })
})

function callShowInputs (storage_adapter) {
  let values = ['memcached', 'redis']

  for (const value of values) {
    showInputs(storage_adapter, value)
  }

}

function showInputs (adapter, value) {
  let inputs = document.getElementsByClassName('jch-' + value + '-wrapper')

  if (adapter.value === value) {
    for (let input of inputs) {
      input.classList.remove('d-none')
      input.classList.add('d-table-row')
    }
  } else {
    for (let input of inputs) {
      input.classList.remove('d-table-row')
      input.classList.add('d-none')
    }
  }
}
